<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>ExtendedPathIterator (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExtendedPathIterator (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExtendedPathIterator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util.svg</a></div>
<h2 title="Interface ExtendedPathIterator" class="title">Interface ExtendedPathIterator</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public interface <span class="typeNameLabel">ExtendedPathIterator</span></pre>
<div class="block">The <code>ExtendedPathIterator</code> class represents a geometric
 path constructed from straight lines, quadratic and cubic (Bezier)
 curves and elliptical arcs.  This interface is identical to that of
 PathIterator except it can return SEG_ARCTO from currentSegment,
 also the array of values passed to currentSegment must be of length
 7 or an error will be thrown.
 
 This does not extend PathIterator as it would break the interface
 contract for that class.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SEG_ARCTO">SEG_ARCTO</a></span></code></th>
<td class="colLast">
<div class="block">The segment type constant for an elliptical arc.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SEG_CLOSE">SEG_CLOSE</a></span></code></th>
<td class="colLast">
<div class="block">The segment type constant that specifies that the preceding
 subpath should be closed by appending a line segment back to
 the point corresponding to the most recent SEG_MOVETO.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SEG_CUBICTO">SEG_CUBICTO</a></span></code></th>
<td class="colLast">
<div class="block">The segment type constant for the set of 3 points that specify
 a cubic parametric curve to be drawn from the most recently
 specified point.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SEG_LINETO">SEG_LINETO</a></span></code></th>
<td class="colLast">
<div class="block">The segment type constant for a point that specifies the end
 point of a line to be drawn from the most recently specified
 point.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SEG_MOVETO">SEG_MOVETO</a></span></code></th>
<td class="colLast">
<div class="block">The segment type constant for a point that specifies the end
 point of a line to be drawn from the most recently specified
 point.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SEG_QUADTO">SEG_QUADTO</a></span></code></th>
<td class="colLast">
<div class="block">The segment type constant for the pair of points that specify a
 quadratic parametric curve to be drawn from the most recently
 specified point.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#WIND_EVEN_ODD">WIND_EVEN_ODD</a></span></code></th>
<td class="colLast">
<div class="block">The winding rule constant for specifying an even-odd rule for
 determining the interior of a path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#WIND_NON_ZERO">WIND_NON_ZERO</a></span></code></th>
<td class="colLast">
<div class="block">The winding rule constant for specifying a non-zero rule for
 determining the interior of a path.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentSegment()">currentSegment</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentSegment(double%5B%5D)">currentSegment</a></span>&#8203;(double[]&nbsp;coords)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentSegment(float%5B%5D)">currentSegment</a></span>&#8203;(float[]&nbsp;coords)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWindingRule()">getWindingRule</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isDone()">isDone</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#next()">next</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="SEG_CLOSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEG_CLOSE</h4>
<pre>static final&nbsp;int SEG_CLOSE</pre>
<div class="block">The segment type constant that specifies that the preceding
 subpath should be closed by appending a line segment back to
 the point corresponding to the most recent SEG_MOVETO.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.SEG_CLOSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SEG_MOVETO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEG_MOVETO</h4>
<pre>static final&nbsp;int SEG_MOVETO</pre>
<div class="block">The segment type constant for a point that specifies the end
 point of a line to be drawn from the most recently specified
 point.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.SEG_MOVETO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SEG_LINETO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEG_LINETO</h4>
<pre>static final&nbsp;int SEG_LINETO</pre>
<div class="block">The segment type constant for a point that specifies the end
 point of a line to be drawn from the most recently specified
 point.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.SEG_LINETO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SEG_QUADTO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEG_QUADTO</h4>
<pre>static final&nbsp;int SEG_QUADTO</pre>
<div class="block">The segment type constant for the pair of points that specify a
 quadratic parametric curve to be drawn from the most recently
 specified point. The curve is interpolated by solving the
 parametric control equation in the range (t=[0..1]) using the
 most recently specified (current) point (CP), the first control
 point (P1), and the final interpolated control point (P2).</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.SEG_QUADTO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SEG_CUBICTO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEG_CUBICTO</h4>
<pre>static final&nbsp;int SEG_CUBICTO</pre>
<div class="block">The segment type constant for the set of 3 points that specify
 a cubic parametric curve to be drawn from the most recently
 specified point. The curve is interpolated by solving the
 parametric control equation in the range (t=[0..1]) using the
 most recently specified (current) point (CP), the first control
 point (P1), the second control point (P2), and the final
 interpolated control point (P3).</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.SEG_CUBICTO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SEG_ARCTO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEG_ARCTO</h4>
<pre>static final&nbsp;int SEG_ARCTO</pre>
<div class="block">The segment type constant for an elliptical arc.  This consists of
  Seven values [rx, ry, angle, largeArcFlag, sweepFlag, x, y].
  rx, ry are the radious of the ellipse.
  angle is angle of the x axis of the ellipse.
  largeArcFlag is zero if the smaller of the two arcs are to be used.
  sweepFlag is zero if the 'left' branch is taken one otherwise.
  x and y are the destination for the ellipse.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.SEG_ARCTO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="WIND_EVEN_ODD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WIND_EVEN_ODD</h4>
<pre>static final&nbsp;int WIND_EVEN_ODD</pre>
<div class="block">The winding rule constant for specifying an even-odd rule for
 determining the interior of a path. The even-odd rule specifies
 that a point lies inside the path if a ray drawn in any
 direction from that point to infinity is crossed by path
 segments an odd number of times.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.WIND_EVEN_ODD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="WIND_NON_ZERO">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WIND_NON_ZERO</h4>
<pre>static final&nbsp;int WIND_NON_ZERO</pre>
<div class="block">The winding rule constant for specifying a non-zero rule for
 determining the interior of a path. The non-zero rule specifies
 that a point lies inside the path if a ray drawn in any
 direction from that point to infinity is crossed by path
 segments a different number of times in the counter-clockwise
 direction than the clockwise direction.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.ExtendedPathIterator.WIND_NON_ZERO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="currentSegment()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentSegment</h4>
<pre class="methodSignature">int&nbsp;currentSegment()</pre>
</li>
</ul>
<a id="currentSegment(double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentSegment</h4>
<pre class="methodSignature">int&nbsp;currentSegment&#8203;(double[]&nbsp;coords)</pre>
</li>
</ul>
<a id="currentSegment(float[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentSegment</h4>
<pre class="methodSignature">int&nbsp;currentSegment&#8203;(float[]&nbsp;coords)</pre>
</li>
</ul>
<a id="getWindingRule()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindingRule</h4>
<pre class="methodSignature">int&nbsp;getWindingRule()</pre>
</li>
</ul>
<a id="isDone()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDone</h4>
<pre class="methodSignature">boolean&nbsp;isDone()</pre>
</li>
</ul>
<a id="next()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>next</h4>
<pre class="methodSignature">void&nbsp;next()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExtendedPathIterator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
